package models

import (
	"database/sql"
	"fmt"

	"git.trj.tw/golang/go-gallery/modules/config"
	_ "github.com/lib/pq"
)

var x *sql.DB

// NewDB - db object
func NewDB() (*sql.DB, error) {
	var err error
	conf := config.GetConf()
	connStr := fmt.Sprintf("user=%s host=%s sslmode=disable dbname=%s port=%d", conf.Database.User, conf.Database.Host, conf.Database.DBName, conf.Database.Port)
	x, err = sql.Open("postgres", connStr)
	return x, err
}
